api/v1/sims/{id}/imeilocking

Method: POST https://developers.mobilemanager.co.uk/api/v1/sims/{id}/imeilocking

Summary

Enable or disable IMEI Locking for the SIM

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

The Id(UUID) of the SIM

globally unique identifier

Required

Body Parameters

ImeiLockingModel
NameDescriptionTypeAdditional information
Enabled

Enable or disable IMEI Locking for a SIM

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Enabled": true
}

application/xml, text/xml

Sample:
<ImeiLockingModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SimPortalApi.Models.SIMs">
  <Enabled>true</Enabled>
</ImeiLockingModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'ImeiLockingModel'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.